@base <https://purl.org/coscine/ap/qudt/quantitykind/HeatCapacity/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/HeatCapacity/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Wärmekapazität sind."@de,
    "Profile for all units that are a/an Heat Capacity."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Wärmekapazität"@de,
    "Unit: Heat Capacity"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:BTU_IT-PER-DEG_F unit:BTU_IT-PER-DEG_R unit:EV-PER-K unit:J-PER-K unit:MegaJ-PER-K ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:BTU_IT-PER-DEG_F rdfs:label "Btu (It) Per Degree Fahrenheit"@en .
unit:BTU_IT-PER-DEG_R rdfs:label "Btu Per Degree Rankine"@en .
unit:EV-PER-K rdfs:label "Electron Volt Per Kelvin"@en .
unit:J-PER-K rdfs:label "Joule Je Kelvin"@de, "Dżul Na Kelwin"@pl, "Joule Al Kelvin"@it, "Joule Bölü Kelvin"@tr, "Joule Na Kelvin"@cs, "Joule Na Kelvin"@sl, "Joule Par Kelvin"@fr, "Joule Pe Kelvin"@ro, "Joule Per Kelvin"@en, "Joule Per Kelvin"@ms, "Joule Por Kelvin"@pt, "Julio Por Kelvin"@es, "Джоуль На Кельвин"@ru, "جول لكل كلفن"@ar, "ژول بر کلوین"@fa, "जूल प्रति कैल्विन"@hi, "ジュール毎立方メートル"@ja, "焦耳每开尔文"@zh .
unit:MegaJ-PER-K rdfs:label "Megajoule Per Kelvin"@en .
